# Matrix Dart SDK Sqflite

   [![](https://img.shields.io/pub/v/matrix_sdk_sqflite.svg)](https://pub.dartlang.org/packages/matrix_sdk_sqflite)
   [![](https://img.shields.io/matrix/pattle:matrix.org.svg)](https://matrix.to/#/#pattle:matrix.org)

   A [`sqflite`](https://pub.dartlang.org/packages/sqflite) store implementation
   for the Matrix Dart SDK.

   This store is only usable on Flutter.

## Usage

   ```dart
   import 'package:matrix_sdk/matrix_sdk.dart';
   import 'package:matrix_sdk/matrix_sdk_sqflite_store.dart';
   
   void main() async {
     final store = SqfliteStore(path: 'matrix.sqlite');
     
     final hs = Homeserver(Url.parse('https://pattle.im'));
     final user = await hs.login(Username('pat'), 'pattle', store: store);
   }
   ```
